
JD661_UTILS_VERSION = "r004"

local GREEN_TEXT_COLOR = "|cff00ff00"
local RED_TEXT_COLOR = "|cffff0000"

local textColors = {
	LIGHTRED = "|cffff6060",
	LIGHTBLUE = "|cff00ccff",
	TORQUISEBLUE = "|cff00C78C",
	SPRINGGREEN = "|cff00FF7F",
	GREENYELLOW = "|cffADFF2F",
	BLUE = "|cff0000ff",
	PURPLE = "|cffDA70D6",
	GREEN = "|cff00ff00",
	RED = "|cffff0000",
	GOLD = "|cffffcc00",
	GOLD2 = "|cffFFC125",
	GREY = "|cff888888",
	WHITE = "|cffffffff",
	SUBWHITE = "|cffbbbbbb",
	MAGENTA = "|cffff00ff",
	YELLOW = "|cffffff00",
	ORANGEY = "|cffFF4500",
	CHOCOLATE = "|cffCD661D",
	CYAN = "|cff00ffff",
	IVORY = "|cff8B8B83",
	LIGHTYELLOW = "|cffFFFFE0",
	SEXGREEN = "|cff71C671",
	SEXTEAL = "|cff388E8E",
	SEXPINK = "|cffC67171",
	SEXBLUE = "|cff00E5EE",
	SEXHOTPINK = "|cffFF6EB4",
}

function JD661Utils_ColorText(inText, inColor)
	local color
	local txtOut
	if(inColor) then
		color = textColors[string.upper(tostring(inColor))]
	else
		color = textColors["SEXHOTPINT"]
	end
	txtOut = color .. inText .. "|r"
	return txtOut
end